Bug#649528: iceweasel: Does not associate magnet links with torrent clients

Hugo A. M. Torres mnemonico at posthocergopropterhoc.net
Mon Nov 21 22:59:39 UTC 2011

Package: iceweasel

Version: 7.0.1-4
Severity: wishlist

Dear Maintainer,

It seems iceweasel does not understand the magnet links protocol. Could we have
iceweasel associating magnet links to torrent software by default?

Thanks for your consideration

-- Package-specific info:

-- Extensions information
Name: Adwaita themefalse
Location: ${PROFILE_EXTENSIONS}/{451500c0-902c-11e0-91e4-0800200c9a66}.xpi
Status: enabled

Name: Debian Linux themefalse

-- Addons package information

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages iceweasel depends on:
ii  debianutils         4.0.4     
ii  fontconfig          2.8.0-3   
ii  libc6               2.13-21   
ii  libgdk-pixbuf2.0-0  2.24.0-1  
ii  libglib2.0-0        2.28.8-1  
ii  libgtk2.0-0         2.24.7-1  
ii  libnspr4-0d         4.8.9-1   
ii  libstdc++6          4.6.2-4   
ii  procps              1:3.2.8-11
ii  xulrunner-7.0       7.0.1-4   

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  libgssapi-krb5-2    1.9.1+dfsg-3
ii  mozplugger          <none>      
ii  ttf-lyx             2.0.1-1     
ii  ttf-mathematica4.1  <none>      
ii  xfonts-mathml       4           

Versions of packages xulrunner-7.0 depends on:
ii  libasound2            
ii  libatk1.0-0               2.2.0-2         
ii  libbz2-1.0                1.0.5-7         
ii  libc6                     2.13-21         
ii  libcairo2                 1.10.2-6.1      
ii  libdbus-1-3               1.4.16-1        
ii  libevent-1.4-2            1.4.14b-stable-1
ii  libfontconfig1            2.8.0-3         
ii  libfreetype6              2.4.8-1         
ii  libgcc1                   1:4.6.2-4       
ii  libgdk-pixbuf2.0-0        2.24.0-1        
ii  libglib2.0-0              2.28.8-1        
ii  libgtk2.0-0               2.24.7-1        
ii  libhunspell-1.3-0         1.3.2-4         
ii  libjpeg8                  8c-2            
ii  libmozjs7d                7.0.1-4         
ii  libnotify4                0.7.4-1         
ii  libnspr4-0d               4.8.9-1         
ii  libnss3-1d                3.12.11-3       
ii  libpango1.0-0             1.29.4-2        
ii  libpixman-1-0             0.24.0-1        
ii  libreadline6              6.2-7           
ii  libsqlite3-0              3.7.9-2         
ii  libstartup-notification0  0.12-1          
ii  libstdc++6                4.6.2-4         
ii  libvpx0                   0.9.7.p1-2      
ii  libx11-6                  2:1.4.4-2       
ii  libxext6                  2:1.3.0-3       
ii  libxrender1               1:0.9.6-2       
ii  libxt6                    1:1.1.1-2       
ii  zlib1g                    1:

Versions of packages xulrunner-7.0 suggests:
ii  libcanberra0      0.28-3  
ii  libdbus-glib-1-2  0.98-1  
ii  libgnomeui-0      2.24.5-2

-- no debconf information

More information about the pkg-mozilla-maintainers mailing list